// menu styles
.menu {
  // padding-right: 0;
  // display: flex;
  

  &__item {
    outline: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: $c-white;
    padding: 25px 0;
    font-size: $fs-20;
    color: $c-dark;
    font-family: $f-huggable;
    text-transform: uppercase;    
    transition: $t-normal;
    &:hover, &--active {
      transition: .35s;
      color:#54C1D7;
      transition: $t-normal;
    
      .menu__line{
        &:after, &:before{
          width: 50%;
        }
      }
    }
  }
  &__line{
    position: relative;
    bottom: 0;
    width: 100%;
    height: 2px;
    display: flex;
    justify-content: center;
    &:after, &:before{
      transition: width .35s;
      content: '';
      border-bottom: 3px solid #54C1D7;
      width: 0;
    }
  }
}
/////////////////////////////////////
//Responsive
////////////////////////////////////
@media #{$desktop}{
  .menu{
    width: 100%;
    margin: 0;
    padding: 0;
  }
}
@media #{$tablet}{
  .menu{
    
    transform: translateX(100%);
    
    position: absolute;
    width: 200px;
    height: 100vh;
    top: -20px;
    right: 0;
    display: flex;
    flex-direction: column;
    background: #54C1D7;
    z-index: 2;
    transition: $t-normal;
    
    &.open{
      transform: translateX(0);
      transition: $t-normal;
    
    }
    &__item {
      background: #54C1D7;

      // right: 0;
      // max-width: 200px;
      border-bottom: 1px solid $c-white;
      max-height: 80px;
      padding: 30px 0 ;

      &:hover, &--active {
        color:$c-white;
        // transform: translateX(-50px);
        // max-width: 250px;
        // padding-right: 50px;
        // // padding-left: 50px;
        .menu__line{
          &:after, &:before{
            width: 0;
          }
        }
      }
    }
    // &__item{
    //   padding: 10px;
    //   font-size: $fs-12;
    // }
  }
}
// @media #{$phone} {
//   .menu{
//     padding-right: 0;
//     &__item{
//       font-size: $fs-10;
//     }
//   }  
// }